Allow reviewing your changes as visual diff in NWE
Closed, ResolvedPublic8 Story Points

Description

Currently, when you edit in NWE and review your changes, the visual diff button is grayed out.
But since visual diffs now work for historical diffs I imagine it should be possible to add that functionality for NWE edits, too.

Schnark created this task.Jul 12 2017, 7:07 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptJul 12 2017, 7:07 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

We probably want to fix T170269 before making historical visual diffs more available.

Deskana triaged this task as Low priority.Jul 13 2017, 3:38 PM
Deskana moved this task from To Triage to TR6: Visual diffs on the VisualEditor board.
Deskana added a project: Epic.

Change 365645 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Show visual diffs in wikitext mode

https://gerrit.wikimedia.org/r/365645

Deskana set the point value for this task to 1.Aug 22 2017, 2:29 PM

Change 365645 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Show visual diffs in wikitext mode

https://gerrit.wikimedia.org/r/365645

Deskana closed this task as Resolved.Wed, Oct 11, 8:26 PM
Deskana assigned this task to Esanders.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptWed, Oct 11, 8:26 PM
Deskana changed the point value for this task from 1 to 8.Wed, Oct 11, 9:00 PM